apt-get Segmentation fault (core dumped)

Questions about applications and software
Forum rules
Before you post please read this

apt-get Segmentation fault (core dumped)

Postby abhaysahai on Wed Sep 26, 2007 9:49 pm

Hi I get the following error in Linux Mint Celena, when I try to install
Code: Select all
apt-get install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  xchat-gnome-common libavahi-compat-howl0 libwv-1.2-3 libmono-sqlite2.0-cil libgsf0.0-cil
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
9 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up openoffice.org-common (2.2.0-1ubuntu4) ...
Updating OpenOffice.org's dictionary list... done.
Segmentation fault (core dumped)
dpkg: error processing openoffice.org-common (--configure):
 subprocess post-installation script returned error exit status 139
dpkg: dependency problems prevent configuration of language-support-en:
 language-support-en depends on openoffice.org-l10n-en-us; however:
  Package openoffice.org-l10n-en-us is not installed.
  Package openoffice.org-common which provides openoffice.org-l10n-en-us is not configured yet.
dpkg: error processing language-support-en (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openoffice.org-l10n-en-za:
 openoffice.org-l10n-en-za depends on openoffice.org-common (>= 2.2.0) | language-support-en; however:
  Package openoffice.org-common is not configured yet.
  Package language-support-en is not configured yet.
 openoffice.org-l10n-en-za depends on openoffice.org-common (<< 2.3) | language-support-en; however:
  Package openoffice.org-common is not configured yet.
  Package language-support-en is not configured yet.
dpkg: error processing openoffice.org-l10n-en-za (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openoffice.org-java-common:
 openoffice.org-java-common depends on openoffice.org-common; however:



I have tried aptitude but same error comes.
Please help me with this.
abhaysahai
Level 1
Level 1
 
Posts: 8
Joined: Tue Sep 25, 2007 12:27 pm

Linux Mint is funded by ads and donations.
 

Postby merlwiz79 on Wed Sep 26, 2007 10:53 pm

What did you try to install?
Have you tried sudo dpkg --configure -a?
User avatar
merlwiz79
Level 11
Level 11
 
Posts: 3637
Joined: Wed Apr 04, 2007 1:50 pm
Location: Here again :)

Postby abhaysahai on Fri Sep 28, 2007 10:02 am

I tried the command and get the following result

Code: Select all
  dpkg --configure -a
Setting up openoffice.org-common (2.2.0-1ubuntu4) ...
Updating OpenOffice.org's dictionary list... done.
Segmentation fault (core dumped)
dpkg: error processing openoffice.org-common (--configure):
 subprocess post-installation script returned error exit status 139
dpkg: dependency problems prevent configuration of openoffice.org-java-common:
 openoffice.org-java-common depends on openoffice.org-common; however:
  Package openoffice.org-common is not configured yet.
dpkg: error processing openoffice.org-java-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of language-support-en:
 language-support-en depends on openoffice.org-l10n-en-us; however:
  Package openoffice.org-l10n-en-us is not installed.
  Package openoffice.org-common which provides openoffice.org-l10n-en-us is not configured yet.
dpkg: error processing language-support-en (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openoffice.org-base:
 openoffice.org-base depends on openoffice.org-java-common; however:
  Package openoffice.org-java-common is not configured yet.
dpkg: error processing openoffice.org-base (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openoffice.org-l10n-en-za:
 openoffice.org-l10n-en-za depends on openoffice.org-common (>= 2.2.0) | language-support-en; however:
  Package openoffice.org-common is not configured yet.
  Package language-support-en is not configured yet.
 openoffice.org-l10n-en-za depends on openoffice.org-common (<< 2.3) | language-support-en; however:
  Package openoffice.org-common is not configured yet.
  Package language-support-en is not configured yet.
dpkg: error processing openoffice.org-l10n-en-za (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openoffice.org-filter-mobiledev:
 openoffice.org-filter-mobiledev depends on openoffice.org-java-common (= 2.2.0-1ubuntu4); however:
  Package openoffice.org-java-common is not configured yet.
dpkg: error processing openoffice.org-filter-mobiledev (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openoffice.org-l10n-en-gb:
 openoffice.org-l10n-en-gb depends on openoffice.org-common (>= 2.2.0) | language-support-en; however:
  Package openoffice.org-common is not configured yet.
  Package language-support-en is not configured yet.
 openoffice.org-l10n-en-gb depends on openoffice.org-common (<< 2.3) | language-support-en; however:
  Package openoffice.org-common is not configured yet.
  Package language-support-en is not configured yet.
dpkg: error processing openoffice.org-l10n-en-gb (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openoffice.org:
 openoffice.org depends on openoffice.org-base; however:
  Package openoffice.org-base is not configured yet.
 openoffice.org depends on openoffice.org-filter-mobiledev; however:
  Package openoffice.org-filter-mobiledev is not configured yet.
 openoffice.org depends on openoffice.org-java-common; however:
  Package openoffice.org-java-common is not configured yet.
dpkg: error processing openoffice.org (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openoffice.org-thesaurus-en-us:
 openoffice.org-thesaurus-en-us depends on openoffice.org-common (>= 2.0) | language-support-en; however:
  Package openoffice.org-common is not configured yet.
  Package language-support-en is not configured yet.
dpkg: error processing openoffice.org-thesaurus-en-us (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 openoffice.org-common
 openoffice.org-java-common
 language-support-en
 openoffice.org-base
 openoffice.org-l10n-en-za
 openoffice.org-filter-mobiledev
 openoffice.org-l10n-en-gb
 openoffice.org
 openoffice.org-thesaurus-en-us


Similar message when I run aptitude update; aptitude upgrade
abhaysahai
Level 1
Level 1
 
Posts: 8
Joined: Tue Sep 25, 2007 12:27 pm

Postby merlwiz79 on Fri Sep 28, 2007 10:48 pm

It looks like you need to remove openoffice.
Code: Select all
sudo apt-get remove --purge openoffice.org openoffice.org-common openoffice.org-java-common language-support-en openoffice.org-base openoffice.org-l10n-en-za openoffice.org-filter-mobiledev openoffice.org-l10n-en-gb openoffice.org-thesaurus-en-us

Then you can try installing it again.
http://www.linuxmint.com/software/?sec=item&id=17
User avatar
merlwiz79
Level 11
Level 11
 
Posts: 3637
Joined: Wed Apr 04, 2007 1:50 pm
Location: Here again :)


Return to Software & Applications

Who is online

Users browsing this forum: Antban, carlosdanger and 18 guests